Package org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider

# Class LocalFootnoteLinkAttributeProviderState

java.lang.Object
org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider.LocalFootnoteLinkAttributeProviderState

All Implemented Interfaces:
  `NodeAttributeProviderState<JSPWikiLink>`

public class LocalFootnoteLinkAttributeProviderState extends Object implements NodeAttributeProviderState<JSPWikiLink>
`NodeAttributeProviderState` which sets the attributes for local footnote links.

## Constructor Summary

Constructors
Constructor
Description
`LocalFootnoteLinkAttributeProviderState(org.apache.wiki.api.core.Context wikiContext)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAttributes(com.vladsch.flexmark.util.html.MutableAttributes attributes, JSPWikiLink link)`
Sets node's attributes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalFootnoteLinkAttributeProviderState

public LocalFootnoteLinkAttributeProviderState(org.apache.wiki.api.core.Context wikiContext)

## Method Details

### setAttributes

public void setAttributes(com.vladsch.flexmark.util.html.MutableAttributes attributes, JSPWikiLink link)
Sets node's attributes.

Specified by:
  `setAttributes` in interface `NodeAttributeProviderState<JSPWikiLink>`
Parameters:
  `attributes` - node attributes.
  `link` - the specific node in which the attributes are going to be set.
See Also:
  - `NodeAttributeProviderState.setAttributes(MutableAttributes, Node)`